<%- include ('components/header/header') %>
<body class="d-flex flex-column h-100">
<main id="main" class="flex-shrink-0">
    <div class="container">
        <%- include ('components/header/nav') %>
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <%- include ('components/content/search-bar') %>
                </div>
            </div>
            <div class="row recipes-grid">
                <div class="grid-sizer col-sm-12 col-md-6 col-lg-3 "></div>
                <%
                for (let i = recipes.length; i > 0; i--) {
                    recipe = recipes[i-1]
                    if (!recipe.isPrivate || recipe.isPrivate && userId === recipe.userId.toString()) {
                %>
                <%# IDE has a problem with syntax but it works ¯\_(ツ)_/¯ %>
                <%- include('components/content/recipe-mini', {recipe: recipe}) %>
                <%
                }
                }
                %>
            </div>
        </div>
    </div>
</main>
<%- include ('components/footer/footer') %>
<script language="javascript" src="/js/search-bar.js"></script>
</body>
</html>